Files
cloudron-box/admin/cloudronLogin
T

18 lines
370 B
Bash
Raw Normal View History

2015-08-04 16:29:49 -07:00
#!/bin/bash
set -eu -o pipefail
readonly ssh_keys="${HOME}/.ssh/id_rsa_yellowtent"
if [[ "$#" != "1" ]]; then
echo "Missing cloudron IP argument";
exit 1;
fi
if [[ ! -f "${ssh_keys}" ]]; then
echo "yellowtent ssh key is missing"
exit 1
fi
2015-09-10 11:40:27 -07:00
ssh root@$1 -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -o ConnectTimeout=10 -i "${ssh_keys}"